## latex2html 2019-debian1

=== debian/changelog ===
latex2html (2019-debian1-3) unstable; urgency=medium

  * Backport fix for unicode in -html_version 5.0,math

 -- Carsten Leonhardt <leo@debian.org>  Mon, 25 Feb 2019 18:17:15 +0100

latex2html (2019-debian1-2) unstable; urgency=medium

  * Backport fixes for options -no_topnavigation and -prefix.
    (Closes: #922025)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Feb 2019 18:55:27 +0100

latex2html (2019-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #276037)
  * Add DEP-12 debian/upstream/metadata.
  * debian/control: Standards-Version: 4.3.0
  * debian/compat: 12
  * Install two more documentation files to the correct directory.

 -- Carsten Leonhardt <leo@debian.org>  Thu, 03 Jan 2019 03:01:01 +0100

latex2html (2018.3-debian1-4) unstable; urgency=medium

  * Backport upstream changes up to 2018-12-02

 -- Carsten Leonhardt <leo@debian.org>  Sat, 08 Dec 2018 10:25:03 +0100

=== debian/control ===
Source: latex2html
Section: tex
Priority: optional
Maintainer: Carsten Leonhardt <leo@debian.org>
Build-Depends-Indep: debhelper (>= 12),
                     dvipng,
		     poppler-utils,
                     ghostscript-x,
                     netpbm (>= 2:9.20),
                     patch,
                     perl,
                     perl-doc,
                     tex-common,
                     texlive-base-bin,
                     texlive-latex-extra,
                     texlive-latex-recommended
Standards-Version: 4.3.0
Homepage: https://www.latex2html.org/
Vcs-Browser: https://salsa.debian.org/debian/latex2html
Vcs-Git: https://salsa.debian.org/debian/latex2html.git

Package: latex2html
Architecture: all
Depends: ghostscript-x,
         netpbm (>= 2:9.20),
         perl,
         perl-doc,
         poppler-utils,
         texlive-base-bin,
         texlive-fonts-recommended,
         texlive-latex-extra,
         texlive-latex-recommended,
         ${misc:Depends}
Recommends: dvipng
Description: LaTeX to HTML translator
 LaTeX2HTML is a conversion tool that converts documents written
 in LaTeX to HTML format. In addition, it offers an easy migration
 path towards authoring complex hypermedia documents using familiar
 word-processing concepts.
 .
 LaTeX2HTML replicates the basic structure of a LaTeX document as a
 set of interconnected HTML files which can be explored using
 automatically generated navigation panels. The cross-references,
 citations, footnotes, the table of contents and the lists of figures
 and tables, are also translated into hypertext links. Formatting
 information which has equivalent ``tags'' in HTML (lists, quotes,
 paragraph breaks, type styles, etc.) is also converted
 appropriately. The remaining heavily formatted items such as
 mathematical equations, pictures or tables are converted to images
 which are placed automatically at the correct positions in the final
 HTML document.
 .
 LaTeX2HTML extends LaTeX by supporting arbitrary hypertext links and
 symbolic cross-references between evolving remote documents. It also
 allows the specification of conditional text and the inclusion of raw
 HTML commands. These hypermedia extensions to LaTeX are available as
 new commands and environments from within a LaTeX document.
 .
 Pstoimg, the part of latex2html that produces bitmap images from the
 LaTeX source, can support both GIF and PNG format.

## latex2html 2019.2

=== docs/Makefile ===
#
#  Makefile  for the...
#
#    LaTeX2HTML  documentation & User Manual
#
#  by  Ross Moore <ross@maths.mq.edu.au>
#  and  Herb Swan <dprhws@edp.Arco.COM>
#
#  20 April 1996
#
#  modified for v97.1 by  Ross Moore
#
#  10 July 1997
#

#
# These are the usual calls to application programs
#
DVIPS = dvips
DVIPDF = dvipdfm
# set TEXINPUTS to use the html.sty included in this package
LATEX = TEXINPUTS=../texinputs:: latex
MAKEINDEX = makeindex
BIBTEX = bibtex

# L2H = latex2html  -no_math -html_version 3.2,math -scalable_fonts
L2H = latex2html -no_use_pdftex -image_type png -no_use_dvipng -no_math -html_version 4.0,math


#
# ... however some TeX installations require more,
# to set path-variables before calling other scripts.
# For example...
#
TEXMF = /usr/lib/texmf

LATEXINPUTDIR = $(TEXMF)/tex/latex//
PKFONTDIR = $(TEXMF)/fonts/public//pk/cx//
BSTINPUTS = $(TEXMF)/bibtex/bst

#DVIPS     = PKFONTS=.:$(TEXMF)/fonts/public//pk/cx// $(TEXMF)/bin/dvips
#LATEX     = TEXFONTS=.:$(PKFONTDIR):$$TEXFONTS;TEXINPUTS=.:$(LATEXINPUTDIR);latex
#BIBTEX    = set BSTINPUTS .:$(BSTINPUTS);bibtex



TOP	= manual
LIC	= licence
CRE	= credits
DAT	= l2hfiles.dat
OVW	= overview
SUP	= support
ENV	= features
HYP	= hypextra
MAN	= userman
PRO	= problems
CHA	= changes
INT	= internals.pl
IND	= index.pl
FIG	= figure.pl
TAB	= table.pl
TOPTITLE  = "LaTeX2HTML"
S1TITLE	  = "Overview"
S2TITLE	  = "Installation"
#S3TITLE	  = "User_Manual"
S3TITLE	  = "Environments_and_Special_Features"
S4TITLE   = "Hypertext_Extensions"
#S5TITLE   = "Features"
S5TITLE   = "Customising_the_Layout"
S6TITLE   = "Problems"
S7TITLE   = "Changes"
CHGTITLE   = "Changes"
CONTENTS = "node6"
CHGNODE = "node8"
REFNODE = "node9"
GLOSSNODE = "node10"
INDEXNODE = "node11"
BIBLIO	= "Bibliography"
GLOSS	= "Glossary"



COMMON	  = -external_file $(TOP) -dir $(TOP) -info 0 -short_index \
		-contents $(CONTENTS).html -index $(INDEXNODE).html \
		-biblio $(REFNODE) -no_auto_link -no_footnode \
		-split 6 -link 6 -up_url $(TOP).html -up_title $(TOPTITLE)

LTOP	  =  -short_index -split 4 -link 5 -no_auto_link\
		 -t $(TOPTITLE) $(TOP).tex

LSEC1	  = $(COMMON) -prefix O  \
		-prev_url $(TOP).html -prev_title $(TOPTITLE) \
		-down_url $(SUP).html -down_title $(S2TITLE)  $(OVW).tex

LSEC2	  = $(COMMON) -prefix S  -debug \
		-prev_url $(OVW).html -prev_title $(S1TITLE) \
		-down_url $(ENV).html -down_title $(S3TITLE)  $(SUP).tex

#		-down_url $(MAN).html -down_title $(S3TITLE)  $(SUP).tex

LSEC3	  = $(COMMON) -prefix E \
		-prev_url ../$(TOP)/$(SUP).html -prev_title $(S2TITLE) \
		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(ENV).tex

#		-down_url ../$(TOP)/$(HYP).html -down_title $(S4TITLE)  $(MAN).tex

LSEC4	  = $(COMMON) -prefix H \
		-prev_url ../$(TOP)/$(ENV).html -prev_title $(S3TITLE) \
		-down_url ../$(TOP)/$(MAN).html -down_title $(S5TITLE)  $(HYP).tex

#		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S3TITLE) \
#		-down_url ../$(TOP)/$(FEA).html -down_title $(S5TITLE)  $(HYP).tex

LSEC5	  = $(COMMON) -prefix M \
		-prev_url ../$(TOP)/$(HYP).html -prev_title $(S4TITLE) \
		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(MAN).tex

#		-down_url ../$(TOP)/$(PRO).html -down_title $(S6TITLE)  $(FEA).tex

LSEC6	  = $(COMMON) -prefix P \
		-prev_url ../$(TOP)/$(MAN).html -prev_title $(S5TITLE) \
		-down_url ../$(TOP)/$(REFNODE).html -down_title $(BIBLIO)  $(PRO).tex

#		-prev_url ../$(TOP)/$(FEA).html -prev_title $(S5TITLE) \

#		-down_url ../$(TOP)/$(CHGNODE).html -down_title $(CHGTITLE)  $(PRO).tex


LSEC7	  = $(COMMON) -prefix C -dir $(TOP)  -info 0  \
		-prev_url ../$(TOP)/$(PRO).html -prev_title $(S6TITLE) \
		-down_url ../$(TOP)/$(GLOSSNODE).html -down_title $(GLOSS)  $(CHA).tex


#
#  dvi- and  PostScript versions
#

manual.pdf:      manual.ps
	ps2pdf manual.ps

manual.ps:      manual.dvi
	$(DVIPS) manual.dvi -o $@

manual.aux manual.cb: \
	    manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex
	$(LATEX) manual.tex

manual.glo manual.idx: \
	    manual.tex credits.tex licence.tex overview.tex \
	    support.tex userman.tex hypextra.tex features.tex \
	    problems.tex l2hfiles.dat  manhtml.tex l2hman.sty
	$(LATEX) manual.tex

manual.dvi:     manual.aux manual.ind manual.gls manual.cb
	$(LATEX) manual.tex

manual.ind:     manual.idx
	$(MAKEINDEX) -s l2hidx.ist manual.idx

manual.gls:     manual.glo l2hglo.ist
	$(MAKEINDEX) -o $@ -s l2hglo.ist manual.glo

manual.bbl:	manual.aux
	$(BIBTEX) manual




$(TOP).html: $(TOP).aux
	$(MAKE) fresh


fresh:
	$(L2H) $(LTOP);

html:
	$(MAKE) $(TOP).stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) M.stamp;
	$(MAKE) S.stamp;
	$(MAKE) P.stamp;
	$(MAKE) O.stamp;
	$(MAKE) E.stamp; $(MAKE) H.stamp;
	$(MAKE) $(TOP).stamp;


twosteps:
	if test -f "manual/images.log"; then  \
	rm -f manual/images.log; \
	make noimages; make images;  fi ;

noimages:
	$(L2H) -short_index -no_images manual.tex

images:
	$(L2H) -short_index -images_only manual.tex

htmlclean:
	rm -f manual/.??* manual/*TMP*

clean:
	rm -f manual.dvi manual.ps manual.glo manual.log manual.aux \
	    manual.ilg manual.lof manual.lot manual.cb manual.idx manual.ind \
	    manual.toc manual.gls
	rm -f *.ptr


#
#  HTML version, as a segmented document
#

$(TOP).stamp:	$(TOP).tex  \
	$(TOP)/O$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(L2H) $(LTOP)
	touch $@

$(TOP)/$(TOP).html:	$(TOP).stamp O.stamp S.stamp M.stamp H.stamp E.stamp P.stamp
	$(L2H) $(LTOP)
	$(MAKE) htmlclean

$(TOP)/$(INT):	$(TOP).tex
	$(L2H) $(LTOP)


$(TOP)images:
	$(L2Hon) $(LTOP)


sections:
	$(L2H) $(LSEC4);
	$(L2H) $(LSEC6);
	$(L2H) $(LSEC5);
	$(L2H) $(LSEC1);
	$(L2H) $(LSEC2);
	$(L2H) $(LSEC3);


$(TOP)/$(OVW).html:	$(OVW).tex $(TOP)/$(INT) \
		$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT) $(TOP)/P$(INT) $(TOP)/S$(INT)
	$(MAKE)	O.stamp

$(OVW):
	$(L2H) $(LSEC1)


O.stamp:	$(OVW).tex
	$(L2H) $(LSEC1)
	touch $@

$(TOP)/O$(INT):
	$(L2H) $(LSEC1)



$(TOP)/$(SUP).html:	$(SUP).tex $(TOP)/$(INT) \
			$(TOP)/H$(INT) $(TOP)/E$(INT) $(TOP)/M$(INT)
	$(MAKE)	S.stamp

$(SUP):
	$(L2H) $(LSEC2)

S.stamp:	$(SUP).tex $(TOP)/$(INT)
	$(L2H) $(LSEC2)
	touch $@

$(TOP)/S$(INT):
	$(L2H) $(LSEC2)



$(TOP)/$(MAN).html:	$(MAN).tex $(TOP)/$(INT) $(TOP)/H$(INT) $(TOP)/E$(INT)
	$(MAKE)	M.stamp

$(MAN):
	$(L2H) $(LSEC5)

M.stamp:	$(MAN).tex $(TOP)/$(INT)
	$(L2H) $(LSEC5)
	touch $@

$(TOP)/M$(INT):
	$(L2H) $(LSEC5)



$(TOP)/$(HYP).html:	$(HYP).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/E$(INT) $(TOP)/O$(INT)
	$(MAKE)	H.stamp

$(HYP):
	$(L2H) $(LSEC4)

H.stamp:	$(HYP).tex $(TOP)/$(INT)
	$(L2H) $(LSEC4)
	touch $@

$(TOP)/H$(INT):
	$(L2H) $(LSEC4)



$(TOP)/$(ENV).html:	$(ENV).tex $(TOP)/$(INT) $(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT)
	$(MAKE)	E.stamp

$(ENV):
	$(L2H) $(LSEC3)

E.stamp:	$(ENV).tex $(TOP)/$(INT)
	$(L2H) $(LSEC3)
	touch $@

$(TOP)/E$(INT):
	$(L2H) $(LSEC3)



$(TOP)/$(PRO).html:	$(PRO).tex $(TOP)/$(INT) \
		$(TOP)/M$(INT) $(TOP)/H$(INT) $(TOP)/S$(INT) $(TOP)/E$(INT)
	$(MAKE)	P.stamp

$(PRO):
	$(L2H) $(LSEC6)

P.stamp:	$(PRO).tex $(TOP)/$(INT)
	$(L2H) $(LSEC6)
	touch $@

$(TOP)/P$(INT):
	$(L2H) $(LSEC6)



$(TOP)/$(CHA).html:	$(CHA).tex $(TOP)/$(INT)
	$(MAKE)	C.stamp

$(CHA):
	$(L2H) $(LSEC7)

C.stamp:	$(CHA).tex $(TOP)/$(INT)
	$(L2H) $(LSEC7)
	touch $@

$(TOP)/C$(INT):
	$(L2H) $(LSEC7)

## latex2html 2019.2-debian1

=== debian/changelog ===
latex2html (2019.2-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #223565, #639708, #75416)

 -- Carsten Leonhardt <leo@debian.org>  Sat, 06 Jul 2019 11:41:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Carsten Leonhardt <leo@debian.org>
-Build-Depends-Indep: debhelper (>= 12),
-                     dvipng,
+Build-Depends: debhelper-compat (= 12)
+Build-Depends-Indep: dvipng,
 		     poppler-utils,
                      ghostscript-x,
                      netpbm (>= 2:9.20),

=== debian/rules ===
#!/usr/bin/make -f

LIBDIR      := /usr/share/latex2html
TEXPATH     := /usr/share/texmf/tex/latex/html
TMPTOP      := $(CURDIR)/debian/latex2html
DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html

CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'

# see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
export FORCE_SOURCE_DATE := 1

# make debhelper compalt level 11 work
export PERL5LIB=.

%:
	dh $@ --with tex

override_dh_auto_configure:
	./configure --verbose --prefix=/usr \
	            --shlibdir=$(LIBDIR) \
                    --libdir=$(LIBDIR) \
                    --with-perl=/usr/bin/perl \
                    --with-iconpath=/usr/share/latex2html/icons \
		    --with-texpath=$(TEXPATH)

override_dh_auto_build:
	cd docs && ln -sf ../texinputs/html*.sty .
	$(MAKE)
	mkdir -p docs/manual
	$(MAKE) -C docs -f Makefile L2H=$(CONVERT_CMD) \
	      LATEX2HTMLDIR=$(CURDIR) manual.dvi manual.ps manual.pdf manual.html

override_dh_clean:
	dh_clean --exclude=LICENSE.orig

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C docs clean
	rm -rf docs/manual
	rm -f docs/*.stamp

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(TMPTOP) INSTALLING_DEBIAN=1
	(cd $(TMPTOP)/$(LIBDIR); \
            mv l2hconf.pm       $(TMPTOP)/etc/latex2html.conf; \
            ln -s               /etc/latex2html.conf l2hconf.pm )
	pod2man pstoimg         > $(TMPTOP)/usr/share/man/man1/pstoimg.1
	(cd docs/manual/;       tar cf - *.html *.png  *.css) | \
                                (cd $(DOCDIR)/html; tar xf   -)
	rm -rf $(TMPTOP)/$(LIBDIR)/docs
	patch --no-backup-if-mismatch $(TMPTOP)/usr/bin/latex2html debian/latex2html.patch
	chmod a+x $(TMPTOP)/$(LIBDIR)/makemap
	chmod a+x $(TMPTOP)/$(LIBDIR)/makeseg/makeseg
	# get srcdir from cfgcache.pm and remove the lines containing it from latex2html for reproducibility
	# the lines only appear in test_mode, which is disabled by the patch above
	fgrep -v `fgrep srcdir $(TMPTOP)/$(LIBDIR)/cfgcache.pm | sed "s/.*=.*'\(.*\)'.*/\1/"` $(TMPTOP)/usr/bin/latex2html > $(TMPTOP)/usr/bin/latex2html.reproducible
	chmod --reference=$(TMPTOP)/usr/bin/latex2html $(TMPTOP)/usr/bin/latex2html.reproducible
	mv $(TMPTOP)/usr/bin/latex2html.reproducible $(TMPTOP)/usr/bin/latex2html
	# now remove srcdir from cfgcache.pm too
	sed -i '/srcdir/d' $(TMPTOP)/$(LIBDIR)/cfgcache.pm
	# move two stray documentation files from data directories to /usr/share/docs/latex2html
	mv $(TMPTOP)/usr/share/latex2html/IndicTeX-HTML/README.IndicTeX-HTML $(DOCDIR)
	mv $(TMPTOP)/usr/share/latex2html/foilhtml/readme.v12 $(DOCDIR)/readme.foilhtml.v12

## latex2html 2020-debian1

=== debian/changelog ===
latex2html (2020-debian1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Standards-Version: 4.5.0
  * Make use of new debhelper facility "execute_after_…"
  * debian/control: use Rules-Requires-Root: no
  * Workaround to fix broken links in lists.

 -- Carsten Leonhardt <leo@debian.org>  Sun, 08 Mar 2020 14:15:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Carsten Leonhardt <leo@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: dvipng,
-		     poppler-utils,
+Build-Depends-Indep: debhelper (>= 12.8~),
+                     dvipng,
+                     poppler-utils,
                      ghostscript-x,
                      netpbm (>= 2:9.20),
                      patch,
@@ -14,7 +15,8 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
 Vcs-Git: https://salsa.debian.org/debian/latex2html.git

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 # see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
 export FORCE_SOURCE_DATE := 1
-
-# make debhelper compalt level 11 work
-export PERL5LIB=.
 
 %:
 	dh $@ --with tex
@@ -34,8 +31,7 @@
 override_dh_clean:
 	dh_clean --exclude=LICENSE.orig
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	$(MAKE) -C docs clean
 	rm -rf docs/manual
 	rm -f docs/*.stamp

## latex2html 2020.2-debian1

=== debian/changelog ===
latex2html (2020.2-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #201731)

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Jul 2020 10:09:26 +0200

latex2html (2020-debian1-2) unstable; urgency=medium

  * Fix building the docs to use the proper image type.
  * Add autopkgtests.
  * Raise debhelper compat level to 13.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 16 Jun 2020 11:56:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,11 @@
 TMPTOP      := $(CURDIR)/debian/latex2html
 DOCDIR 	    := $(TMPTOP)/usr/share/doc/latex2html
 
-CONVERT_CMD := '../latex2html -test_mode -no_math -html_version 4.0,math,frame -accent_images textrm -scalable_fonts'
+# The arguments should match the "L2H" definition in docs/Makefile.
+# The difference is that we need to call the latex2html that was built
+# in this run + "-test_mode".
+
+CONVERT_CMD := '../latex2html -test_mode -no_use_pdftex -image_type png -no_use_dvipng -no_math -html_version 4.0,math'
 
 # see https://tests.reproducible-builds.org/debian/issues/unstable/timestamps_in_ps_generated_by_dvips_issue.html
 export FORCE_SOURCE_DATE := 1

=== debian/tests/control ===
Tests: l2htest
Restrictions: allow-stderr
Depends: latex2html
#Depends: latex2html, linkchecker

# linkchecker is uninstallable at the moment (2020-06-16)

#Tests: linkchecker
#Restrictions: allow-stderr
#Depends: latex2html, linkchecker

## latex2html 2021-debian1

=== debian/changelog ===
latex2html (2021-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #279961, #37982, #385276)

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Carsten Leonhardt ]
  * debian/control: Standards-Version: 4.5.1
  * Install example to correct directory.

 -- Carsten Leonhardt <leo@debian.org>  Sat, 02 Jan 2021 19:26:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: tex
 Priority: optional
 Maintainer: Carsten Leonhardt <leo@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: debhelper (>= 12.8~),
-                     dvipng,
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: dvipng,
                      poppler-utils,
                      ghostscript-x,
                      netpbm (>= 2:9.20),
@@ -15,7 +14,7 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html

## latex2html 2021.2-debian1

=== debian/changelog ===
latex2html (2021.2-debian1-1) unstable; urgency=medium

  [ Carsten Leonhardt ]
  * New upstream release.
  * debian/control: Standards-Version: 4.6.0

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on netpbm.
    + latex2html: Drop versioned constraint on netpbm in Depends.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 16 Nov 2021 22:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends-Indep: dvipng,
                      poppler-utils,
                      ghostscript-x,
-                     netpbm (>= 2:9.20),
+                     netpbm,
                      patch,
                      perl,
                      perl-doc,
@@ -14,7 +14,7 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
@@ -23,7 +23,7 @@
 Package: latex2html
 Architecture: all
 Depends: ghostscript-x,
-         netpbm (>= 2:9.20),
+         netpbm,
          perl,
          perl-doc,
          poppler-utils,

## latex2html 2022-debian1

=== debian/changelog ===
latex2html (2022-debian1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark latex2html Multi-Arch: foreign. (Closes: #1010315)

  [ Carsten Leonhardt ]
  * debian/control: Standards-Version: 4.6.1

 -- Carsten Leonhardt <leo@debian.org>  Tue, 31 May 2022 00:37:43 +0200

latex2html (2022-debian1-1) unstable; urgency=medium

  * New upstream release.

 -- Carsten Leonhardt <leo@debian.org>  Fri, 11 Mar 2022 14:08:12 +0100

## latex2html 2022.2-debian1

=== debian/changelog ===
latex2html (2022.2-debian1-1) unstable; urgency=medium

  * New upstream release.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 27 Jul 2022 12:00:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      texlive-base-bin,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
@@ -22,6 +22,7 @@
 
 Package: latex2html
 Architecture: all
+Multi-Arch: foreign
 Depends: ghostscript-x,
          netpbm,
          perl,

## latex2html 2023-debian1

=== debian/changelog ===
latex2html (2023-debian1-1) unstable; urgency=medium

  * New upstream release.
  * Depend on texlive-binaries instead of texlive-base-bin. Thanks to
    Hilmar Preusse. (Closes: #1030065)
  * debian/control: Standards-Version: 4.6.2

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Feb 2023 12:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                      perl,
                      perl-doc,
                      tex-common,
-                     texlive-base-bin,
+                     texlive-binaries,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
@@ -28,7 +28,7 @@
          perl,
          perl-doc,
          poppler-utils,
-         texlive-base-bin,
+         texlive-binaries,
          texlive-fonts-recommended,
          texlive-latex-extra,
          texlive-latex-recommended,

=== debian/tests/control ===
Tests: l2htest
Restrictions: allow-stderr
Depends: latex2html, linkchecker

Tests: linkchecker
Restrictions: allow-stderr
Depends: latex2html, linkchecker

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%latex2html-$1.tar.gz%,dversionmangle=s/\-debian1//" \
https://github.com/latex2html/latex2html/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## latex2html 2024

=== docs/hthtml/Makefile ===
#
# $Id: Makefile,v 1.1 1996/12/21 19:56:25 JCL Exp $
#

# set TEXINPUTS to use the hthtml.sty included in this package
LATEX = TEXINPUTS=../../texinputs:: latex
DVIPDF = dvipdf

all: hthtml.pdf hthtml/hthtml.html

hthtml.pdf:      hthtml.dvi
	$(DVIPDF) $< $@

hthtml.dvi: hthtml.tex
	$(LATEX) $<
	@while grep 'Rerun to get cross-references right' $*.log; \
	do $(LATEX) $<; \
	done

hthtml/hthtml.html: hthtml.tex hthtml.dvi
	latex2html -split 0 $<

clean:
	rm -f *.log *.aux *.dvi *.toc *.pdf *~
	rm -rf hthtml

dist: clean all
	gtar cvzf hthtml/hthtml.tar.gz \
	 Makefile README hthtml.sty hthtml.tex hthtml.perl
	rdist -p bin/rdistd

## latex2html 2024-debian1

=== debian/changelog ===
latex2html (2024-debian1-3) unstable; urgency=medium

  * Backport fix to remove svg from config for pstoimg from
    upstream. (Closes: #1078535)
  * Backport from upstream: remove extra "showpage" from pstoimg.
    (Closes: #1078536)
  * Add autopkgtest for pstoimg.
  * debian/control: Standards-Version: 4.7.0
  * A bug reported to Ubuntu about \color entries was already fixed in
    2018.2-debian1-1 (LP: #1798041)

 -- Carsten Leonhardt <leo@debian.org>  Fri, 06 Sep 2024 11:08:01 +0200

latex2html (2024-debian1-2) unstable; urgency=medium

  * Change the binary package dependency to ghostscript instead of
    ghostscript-x too.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 09 Jan 2024 00:29:52 +0100

latex2html (2024-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1046413)
  * Depend on ghostscript instead of ghostscript-x which is now a
    transitional package. (Closes: #1033772)

 -- Carsten Leonhardt <leo@debian.org>  Tue, 02 Jan 2024 20:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Section: tex
 Priority: optional
 Maintainer: Carsten Leonhardt <leo@debian.org>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: debhelper-compat (= 13), tex-common
 Build-Depends-Indep: dvipng,
-                     poppler-utils,
-                     ghostscript-x,
+                     ghostscript,
                      netpbm,
                      patch,
                      perl,
                      perl-doc,
-                     tex-common,
+                     poppler-utils,
                      texlive-binaries,
                      texlive-latex-extra,
                      texlive-latex-recommended
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
@@ -23,7 +22,7 @@
 Package: latex2html
 Architecture: all
 Multi-Arch: foreign
-Depends: ghostscript-x,
+Depends: ghostscript,
          netpbm,
          perl,
          perl-doc,

=== debian/rules ===
--- 
+++ 
@@ -62,3 +62,5 @@
 	# move two stray documentation files from data directories to /usr/share/docs/latex2html
 	mv $(TMPTOP)/usr/share/latex2html/IndicTeX-HTML/README.IndicTeX-HTML $(DOCDIR)
 	mv $(TMPTOP)/usr/share/latex2html/foilhtml/readme.v12 $(DOCDIR)/readme.foilhtml.v12
+	# move example from data directory to /usr/share/docs/latex2html
+	mv $(TMPTOP)/usr/share/latex2html/example $(DOCDIR)

=== debian/tests/control ===
--- 
+++ 
@@ -5,3 +5,6 @@
 Tests: linkchecker
 Restrictions: allow-stderr
 Depends: latex2html, linkchecker
+
+# check that pstoimg works
+Test-Command: pstoimg -o "$AUTOPKGTEST_TMP/test.png" tests/pages1.eps

## latex2html 2024.2-debian1

=== debian/changelog ===
latex2html (2024.2-debian1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1085309)
  * Remove backported patches.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 21 Oct 2024 10:53:57 +0200

latex2html (2024-debian1-4) unstable; urgency=medium

  * Backport fix to allow "-dir ." and "-rootdir ."
    and add autopkgtest for it.

 -- Carsten Leonhardt <leo@debian.org>  Tue, 17 Sep 2024 12:23:55 +0200

=== debian/tests/control ===
--- 
+++ 
@@ -8,3 +8,11 @@
 
 # check that pstoimg works
 Test-Command: pstoimg -o "$AUTOPKGTEST_TMP/test.png" tests/pages1.eps
+
+# check "-dir ." works / https://tug.org/pipermail/latex2html/2024-September/004132.html
+Test-Command: latex2html -dir . tests/l2htest.tex
+Restrictions: allow-stderr
+
+# check "-rootdir ." works / https://tug.org/pipermail/latex2html/2024-September/004132.html
+Test-Command: latex2html -rootdir . tests/l2htest.tex
+Restrictions: allow-stderr

## latex2html 2025+debian1

=== debian/changelog ===
latex2html (2025+debian1-3) unstable; urgency=medium

  * debian/control: Standards-Version: 4.7.2

 -- Carsten Leonhardt <leo@debian.org>  Fri, 28 Feb 2025 16:15:37 +0100

latex2html (2025+debian1-2) unstable; urgency=medium

  * Fix and enhance the debian/watch file.
  * Drop now unused lintian overrides.

 -- Carsten Leonhardt <leo@debian.org>  Mon, 13 Jan 2025 09:32:04 +0100

latex2html (2025+debian1-1) unstable; urgency=medium

  * New upstream release.

 -- Carsten Leonhardt <leo@debian.org>  Wed, 01 Jan 2025 12:59:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: tex
 Priority: optional
 Maintainer: Carsten Leonhardt <leo@debian.org>
-Build-Depends: debhelper-compat (= 13), tex-common
-Build-Depends-Indep: dvipng,
-                     ghostscript,
-                     netpbm,
-                     patch,
-                     perl,
-                     perl-doc,
-                     poppler-utils,
-                     texlive-binaries,
-                     texlive-latex-extra,
-                     texlive-latex-recommended
-Standards-Version: 4.7.0
+Build-Depends:
+ debhelper-compat (= 13),
+ tex-common,
+Build-Depends-Indep:
+ dvipng,
+ ghostscript,
+ netpbm,
+ patch,
+ perl,
+ perl-doc,
+ poppler-utils,
+ texlive-binaries,
+ texlive-latex-extra,
+ texlive-latex-recommended,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.latex2html.org/
 Vcs-Browser: https://salsa.debian.org/debian/latex2html
@@ -22,17 +25,19 @@
 Package: latex2html
 Architecture: all
 Multi-Arch: foreign
-Depends: ghostscript,
-         netpbm,
-         perl,
-         perl-doc,
-         poppler-utils,
-         texlive-binaries,
-         texlive-fonts-recommended,
-         texlive-latex-extra,
-         texlive-latex-recommended,
-         ${misc:Depends}
-Recommends: dvipng
+Depends:
+ ghostscript,
+ netpbm,
+ perl,
+ perl-doc,
+ poppler-utils,
+ texlive-binaries,
+ texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended,
+ ${misc:Depends},
+Recommends:
+ dvipng,
 Description: LaTeX to HTML translator
  LaTeX2HTML is a conversion tool that converts documents written
  in LaTeX to HTML format. In addition, it offers an easy migration

=== debian/tests/control ===
Tests:
 l2htest,
Restrictions:
 allow-stderr,
Depends:
 latex2html,
 linkchecker,

Tests:
 linkchecker,
Restrictions:
 allow-stderr,
Depends:
 latex2html,
 linkchecker,

# check that pstoimg works
Test-Command: pstoimg -o "$AUTOPKGTEST_TMP/test.png" tests/pages1.eps

# check "-dir ." works / https://tug.org/pipermail/latex2html/2024-September/004132.html
Test-Command: latex2html -dir . tests/l2htest.tex
Restrictions:
 allow-stderr,

# check "-rootdir ." works / https://tug.org/pipermail/latex2html/2024-September/004132.html
Test-Command: latex2html -rootdir . tests/l2htest.tex
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@@ARCHIVE_EXT@%@PACKAGE@-$1.tar.gz%, dversionmangle=auto, repack, repacksuffix=+debian1" \
https://github.com/latex2html/latex2html/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
